EVP_PKEY_SUPPORTS_DIGEST_NID(3)

NAME
EVP_PKEY_supports_digest_nid - indicate support for signature digest

SYNOPSIS
 #include <openssl/evp.h>
 int EVP_PKEY_supports_digest_nid(EVP_PKEY *pkey, int nid);

DESCRIPTION
The EVP_PKEY_supports_digest_nid() function queries whether the message digest NID nid is supported for public key signature operations associated with key pkey.

NOTES
If the EVP_PKEY implementation does not explicitly support this method, but EVP_PKEY_get_default_digest_nid(3) returns a mandatory digest result, then only that mandatory digest will be supported.

RETURN VALUES
The EVP_PKEY_supports_digest_nid() function returns 1 if the message digest algorithm identified by nid can be used for public key signature operations associated with key pkey and 0 if it cannot be used. It returns a negative value for failure. In particular a return value of -2 indicates the query operation is not supported by the public key algorithm.

SEE ALSO
EVP_PKEY_CTX_new(3), EVP_PKEY_get_default_digest_nid(3), EVP_PKEY_sign(3), EVP_PKEY_verify(3), EVP_PKEY_verify_recover(3),

HISTORY
The EVP_PKEY_supports_digest_nid() function was added in OpenSSL 3.0.

COPYRIGHT
Copyright 2006-2018 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at <https://www.openssl.org/source/license.html>.